apiVersion: apps/v1
kind: Deployment
metadata:
  name: nginx-deployment
spec:
  selector:
    matchLabels:
      app: nginx
      tier: frontend
  replicas: 1
  template:
    metadata:
      labels:
        app: nginx
        tier: frontend
    spec:
      containers:
      - name:  nginx
        image: nginx
        ports:
            - containerPort: 80
        livenessProbe:
          initialDelaySeconds: 1
          periodSeconds: 5
          timeoutSeconds: 1
          successThreshold: 1
          failureThreshold: 1
          httpGet:
            path: /index.html
            port: 80
        resources:
            limits:
              cpu: 200m
              memory: 512Mi
            requests:
              cpu: 100m
              memory: 200Mi
